Loading...
Searching...
No Matches
BALL::VIEW::ShowHelpMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::ShowHelpMessage:

## Public Member Functions

| ShowHelpMessage (String url="", String project="BALLView", String entry="")
String | getURL () const
String | getProject () const
String | getEntry () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Protected Attributes

String | url_
String | project_
String | entry_

## Detailed Description

Deprecated
  Help system has been removed. This class will also be removed in the next release.

Definition at line 782 of file message.h.

## Constructor & Destructor Documentation

## ShowHelpMessage()

BALL::VIEW::ShowHelpMessage::ShowHelpMessage | ( | String | url = "",
|  | String | project = "BALLView",
|  | String | entry = "" )

## Member Function Documentation

## getEntry()

String BALL::VIEW::ShowHelpMessage::getEntry | ( |  | ) | const

inline

Definition at line 794 of file message.h.

## getProject()

String BALL::VIEW::ShowHelpMessage::getProject | ( |  | ) | const

inline

Definition at line 792 of file message.h.

## getURL()

String BALL::VIEW::ShowHelpMessage::getURL | ( |  | ) | const

inline

Definition at line 790 of file message.h.

## Member Data Documentation

## entry_

String BALL::VIEW::ShowHelpMessage::entry_

protected

Definition at line 800 of file message.h.

## project_

String BALL::VIEW::ShowHelpMessage::project_

protected

Definition at line 799 of file message.h.

## url_

String BALL::VIEW::ShowHelpMessage::url_

protected

Definition at line 798 of file message.h.